Несколько уязвимостей в VLC Media Player

Дата публикации:
16.01.2008
Дата изменения:
16.03.2008
Всего просмотров:
1243
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-6683
CVE-2008-0295
CVE-2008-0296
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VLC Media Player 0.x
Уязвимые версии: VLC Media Player 0.8.6d, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в файле modules/access/rtsp/real_sdpplin.c при обработке SDP данных (Session Description Protocol) для RTSP сессий. Злоумышленник может обманом заставить пользователя подключиться к злонамеренному серверу, вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе. Пример:

m=AAAAAAAAAAAAAAAAAAAAA...more_than_3200_chars...AAAAA
a=Title:buffer;AAAAAAAAAAAAAA...more_than_6400_chars...AAAAA

2. Уязвимость существует из-за ошибки при обработке аргументов, передаваемых VLC плагину к браузеру. Удаленный пользователь может с помощью специально сформированного Web сайта перезаписать произвольные файлы на системе.

URL производителя: www.videolan.org/vlc/

Решение: Установите последнюю версию 0.8.6e с сайта производителя.

Журнал изменений:

16.03.2008
Обновлено описание уязвимости.
Изменена секция «Решение».

или введите имя

CAPTCHA